public class HistogramDataDisplay extends DataDisplay {

	public HistogramDataDisplay(String name, Data subject) {
		super(name, subject);
	}

	@Override
	public void update() {
		System.out.println(getClass() + ": " + name);
		for (int i = 0; i < super.getContent().length; i++)
			System.out.format("%s%d\t%s", (i == 0) ? "" : "\n", super.getContent()[i],
					"*".repeat(super.getContent()[i]));

		System.out.println();
	}
}
