//
// https://www.ramecera.it/myscrewdriver.html
// e-mail: screwdriver@ramecera.it
//
/* This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License v1.0 which accompanies this
 * distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html */
package it.ramecera.salad.file;

import it.ramecera.salad.everyday.Mix;

/**
 * <p>
 * Company: Ramecera™<br>
 * Creation date: 2020-04-09<br>
 * Last updated: 2020-04-09<br>
 * </p>
 * 
 * @author M. Maglioni */
public class FileBase {

	/** obvious */
	public String path;
	/** obvious */
	public String fileName;
	/** obvious */
	public String extension;
	/** obvious */
	public int depth;

	/** obvious */
	public FileBase() {

	}

	/** @param path obvious
	 * @param fileName obvious
	 * @param extension obvious
	 * @param depth obvious */
	public FileBase(final String path, final String fileName,
			final String extension, final int depth) {
		super();
		this.path = path;
		this.fileName = fileName;
		this.extension = extension;
		this.depth = depth;
	}

	/**
	 * <p>
	 * Creation date: 2020-04-16<br>
	 * Last updated: 2020-04-16<br>
	 * Class: FileBase
	 * 
	 * @author M. Maglioni
	 *         <p>
	 *         Description:
	 *         </p>
	 * @return the complete path and name of the file */
	public String getG() {
		return Mix.dress_C(path) + fileName + "." + extension;
	}
}
