//
// https://www.ramecera.it/myscrewdriver.html
// e-mail: screwdriver@ramecera.it
//
/* This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License v1.0 which accompanies this
 * distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html */
package it.ramecera.salad.analysis;

import java.util.List;

/**
 * <p>
 * Property of a Java class.
 * </p>
 * <p>
 * Creation date: 2020-04-09<br>
 * modification date: 2020-04-09<br>
 * Company: Ramecera™
 * </p>
 * <p>
 * Modifications:<br>
 * </p>
 * 
 * @author M. Maglioni */
public class JavaProperty {
	/** the primitive type (int, boolean, etc .; String is not
	 * primitive) returned; otherwise it remains null */
	public String fprimitivo;
	/** name of the returned class */
	public String fclasse;
	/** name of the property */
	public String fnome;
	/** if there is a new (then simple = false), it says what is after
	 * the new; if not present, it is null */
	public String fnew;
	/** visibility: public = 3, protected = 2, private = 1, default =
	 * 0 */
	public int fvisibilita;
	/** if it is abstract */
	public boolean fabstract;
	/** if it is final */
	public boolean ffinal;
	/** if it is static */
	public boolean fstatic;
	/** property value */
	public String fvalore;
	/** if it is an array defined by [] */
	public boolean quadre;

	/** class annotations */
	public List<JavaAnnotation> fannotationE;
}
